## litl 0.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)

project(LiTL
  VERSION 0.2.0
  LANGUAGES C
  DESCRIPTION "LiTL is a tracing library"
  HOMEPAGE_URL https://github.com/trahay/LiTL
)

# include CMake modules
include(CheckLibraryExists)


option(ENABLE_GETTID
	"Use syscall(SYS_gettid) to get the thread ID instead of pthread_self(). This however costs a system call for each trace entry"
	OFF)

option(FORCE_32BITS
	"Build LiTL in 32-bit mode"
	OFF)

CHECK_LIBRARY_EXISTS(rt clock_gettime "" librt_exist)
if (NOT librt_exist)
    message(FATAL_ERROR "librt was not found.")
endif()

CHECK_LIBRARY_EXISTS(m ceil "" libm_exist)
if (NOT libm_exist)
    message(FATAL_ERROR "libm was not found.")
endif()

set (INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig")

# Subdirectory
add_subdirectory (src)
add_subdirectory (utils)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/litl.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/litl.pc)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/litl.pc
	       DESTINATION "${INSTALL_PKGCONFIG_DIR}")

=== utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

add_executable(litl_print litl_print.c  )
add_executable(litl_merge litl_merge.c  )
add_executable(litl_split litl_split.c  )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}/include>
  )

target_link_libraries( litl_print  PRIVATE   litl  )
target_link_libraries( litl_merge  PRIVATE   litl  )
target_link_libraries( litl_split  PRIVATE   litl  )

install(
    TARGETS litl_print litl_merge litl_split
)

## litl 0.1.1+dfsg

=== debian/changelog ===
litl (0.1.1+dfsg-3ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Mon, 27 Jan 2014 18:33:25 -0500

litl (0.1.1+dfsg-3) unstable; urgency=low

  * patches/hurd: Fix hurd-any build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Dec 2013 08:55:16 +0100

litl (0.1.1+dfsg-2) unstable; urgency=low

  * Fix arch-dependent-only builds.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2013 14:42:41 +0100

litl (0.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #727019)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 23 Oct 2013 15:38:30 +0200

=== debian/control ===
Source: litl
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf
Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, latex-xcolor, pgf,
  latexmk, doxygen
Standards-Version: 3.9.5
Section: libs
Homepage: https://fusionforge.int-evry.fr/projects/litl/
Vcs-Git: git://git.debian.org/collab-maint/litl.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/litl.git;a=summary

Package: litl-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: Lightweight Trace Library - documentation
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains the documentation.

Package: litl-tools
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: litl-doc
Description: Lightweight Trace Library - tools
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains tools for manipulating trace files.

Package: liblitl-dev
Section: libdevel
Architecture: any
Depends: liblitl0 (= ${binary:Version}), ${misc:Depends}
Recommends: litl-doc
Conflicts: libfxt-dev
Description: Lightweight Trace Library - development files
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains files for developments with litl.

Package: liblitl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Trace Library - shared library
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains the litl shared library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs-indep:
	dh_installdocs -i
	ln -sf /usr/share/javascript/jquery/jquery.js debian/litl-doc/usr/share/doc/litl-doc/html/jquery.js

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://fusionforge.int-evry.fr/frs/?group_id=36 /frs/download.php/.*/litl-(.*)\.tar\.gz

## litl 0.1.5+dfsg

=== debian/changelog ===
litl (0.1.5+dfsg-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/link-pthread.diff: (Closes: #760503)
      + Fix build failure with ld --as-needed as the default.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 10 Jan 2015 11:34:30 +0100

litl (0.1.5+dfsg-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Peter Michael Green ]
  * patches/dont-use-march-on-arm: Don't use -march=armv7-a, it's pointless on
    Debian armhf and wrong on Debian armel and Raspbian (Closes: #770782).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Sep 2014 17:43:05 +0200

litl (0.1.5+dfsg-1ubuntu1) utopic; urgency=medium

  * Link utils with -lpthread.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 21:21:47 +0200

litl (0.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/doxygen: Remove, fixed upstream.
    - patches/nested_function: Cherry-pick fix from upstream
      (Closes: #750386).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jun 2014 14:00:13 +0200

litl (0.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/hurd: Remove, fixed upstream.
  * patches/doxygen: Add \+ definition to fix build with doxygen 1.8.7
    (Closes: #748655).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 May 2014 23:23:17 +0200

litl (0.1.1+dfsg-4) unstable; urgency=medium

  * Use dh-autoreconf rather than autotools-dev (Closes: #737336)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Apr 2014 22:08:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended, latex-xcolor, pgf,
   latexmk, doxygen
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://fusionforge.int-evry.fr/projects/litl/
 Vcs-Git: git://git.debian.org/collab-maint/litl.git

## litl 0.1.7+dfsg

=== debian/changelog ===
litl (0.1.7+dfsg-2) unstable; urgency=medium

  * patches/loop-fix: Fix potential loop in litl_print (Closes: #804838).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Nov 2015 11:16:27 +0100

litl (0.1.7+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/dont-use-march-on-arm: Merged upstream.
    - Closes: #760503.
  * watch: Generalize URL.

  [ Chris Lamb ]
  * patches/reproducible-doc: Drop date from documentation to make the build
    reproducible (Closes: #797508).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2015 17:19:41 +0200

litl (0.1.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - drop patches/nested_function, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 22:04:01 +0200

## litl 0.1.8

=== debian/changelog ===
litl (0.1.8-2) unstable; urgency=medium

  * compat: bump to 9.
  * rules:
    - Drop multiarch support.
    - Do not pass --with-doc to configure when not building the litl-doc
    package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Dec 2015 14:57:25 +0100

litl (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * rules:
    - Remove generated documentation at build time instead of tarball.
    - Pass --with-doc to configure to regenerate it.
  * patches/loop-fix: Remove, merged upstream.
  * patches/tikz: Add missing files.
  * patches/references: Add missing files.
  * control: Build-Depend on doxygen-latex.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Dec 2015 13:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: litl
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf
+Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended, latex-xcolor, pgf,
   latexmk, doxygen

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autoreconf

CONFIG_OPTS =
ifneq (,$(filter litl-doc,$(shell dh_listpackages)))
CONFIG_OPTS += --with-doc
endif

override_dh_auto_clean-indep:
	dh_auto_clean
	rm -fr doc/html

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_OPTS)

override_dh_installdocs-indep:
	dh_installdocs -i
	ln -sf /usr/share/javascript/jquery/jquery.js debian/litl-doc/usr/share/doc/litl-doc/html/jquery.js

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://fusionforge.int-evry.fr/frs/?group_id=36 /frs/download.php/.*/litl-(.*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## litl 0.1.9

=== debian/changelog ===
litl (0.1.9-12) unstable; urgency=medium

  * patches/stderr-test: Re-Fix build warning and thus autopkgtest on 64bit
    platforms.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Feb 2021 21:28:38 +0100

litl (0.1.9-11) unstable; urgency=medium

  * patches/stderr-test: Fix build warning and thus autopkgtest on 32bit
    platforms.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Feb 2021 20:37:02 +0100

litl (0.1.9-10) unstable; urgency=medium

  * patches/race_condition_test_litl_write_multiple_threads: fix a race
    condition in test_litl_write_multiple_threads* tests (Closes: #940978).
  * patches/disable_flaky.patch: Re-enable test_litl_write_multiple_threads*
    tests.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Feb 2021 19:04:22 +0100

litl (0.1.9-9) unstable; urgency=medium

  * watch, control, copyright: Update upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Feb 2021 23:59:43 +0100

litl (0.1.9-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * Move tests patches from patches to tests-patches.
  * not-installed: Note that we don't install .la files.
  * litl-doc.docs: Add user manual pdf.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on liblitl0 that duplicates source.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:23:36 +0100

litl (0.1.9-7) unstable; urgency=medium

  * tests/tests: Fix temporary directory path. Cat testsuite output result on
    failure.
  * patches/disable_flaky.patch: Disable flaky write_multiple_threads* tests
    (Closes: Bug#940972).
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2019 22:26:53 +0200

litl (0.1.9-6) unstable; urgency=medium

  * tests/use_system_litl.patch: Move to patches/.
  * patches/reproducible-doc: Also disable full path names in doxygen doc
    (Closes: Bug#936453).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 09:52:32 +0200

litl (0.1.9-5) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Aug 2019 01:01:38 +0200

litl (0.1.9-4) unstable; urgency=medium

  * doc-nopdf: Disable building the pdf version of the
    documentation (Closes: Bug#921791)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 01:25:39 +0100

litl (0.1.9-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).
  * control: Mark libtl-doc Multi-Arch: foreign and liblitl0 Multi-Arch: same.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:20:49 +0100

litl (0.1.9-2) unstable; urgency=medium

  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.
  * patches/fix-non-linux: Fix build on non-Linux systems.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2017 19:39:56 +0100

litl (0.1.9-1) unstable; urgency=medium

  * New upstream version.
    - patches/tikz: Remove, merged upstream.
    - patches/references: Remove, merged upstream.
    - patches/doc-dir: New patch.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Aug 2017 17:07:22 +0200

litl (0.1.8-3) unstable; urgency=medium

  * Use dh_link to build the jquery.js symlink.
  * control:
    - Bump Standards-Version to 3.9.8 (no change).
    - Replace pgf build-dep with texlive-pictures.
    - Drop latex-xcolor build-dep, already provided by
    texlive-latex-recommended (Closes: Bug#865255).
  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Jun 2017 09:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: litl
-Priority: extra
+Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
-  texlive-fonts-recommended, latex-xcolor, pgf,
-  latexmk, doxygen
-Standards-Version: 3.9.6
+  texlive-fonts-recommended, texlive-pictures,
+  latexmk, doxygen, libjs-jquery
+Standards-Version: 4.5.0
 Section: libs
-Homepage: https://fusionforge.int-evry.fr/projects/litl/
-Vcs-Git: git://git.debian.org/collab-maint/litl.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/litl.git;a=summary
+Homepage: https://github.com/trahay/LiTL
+Vcs-Git: https://salsa.debian.org/debian/litl.git
+Vcs-Browser: https://salsa.debian.org/debian/litl
 
 Package: litl-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
 Description: Lightweight Trace Library - documentation
  LiTL is a lightweight tool for recording events during the execution of
@@ -45,8 +46,8 @@
  This package contains files for developments with litl.
 
 Package: liblitl0
-Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Lightweight Trace Library - shared library
  LiTL is a lightweight tool for recording events during the execution of

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

CONFIG_OPTS =
ifneq (,$(filter litl-doc,$(shell dh_listpackages)))
CONFIG_OPTS += --with-doc
endif

override_dh_auto_clean-indep:
	dh_auto_clean
	rm -fr doc/html

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_OPTS)

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://fusionforge.int-evry.fr/frs/?group_id=36 /frs/download.php/.*/litl-@ANY_VERSION@@ARCHIVE_EXT@
opts=dversionmangle=s/\+dfsg$// https://github.com/trahay/LiTL/tags .*/litl-@ANY_VERSION@@ARCHIVE_EXT@

## litl 0.2

=== debian/changelog ===
litl (0.2-3) unstable; urgency=low

  * Update standards version to 4.6.2, no changes needed.
  * patches/cmake4: Fix build against cmake 4 (Closes: Bug#1113233)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 01:14:49 +0200

litl (0.2-2) unstable; urgency=medium

  * control: Drop litl-doc dependency (now removed) (Closes: Bug#1104824)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 07 May 2025 07:17:32 +0200

litl (0.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/reproducible-doc: Upstreamed.
    - patches/doc-dir: Upstreamed.
    - patches/fix-non-linux: Upstreamed.
    - patches/doc-nopdf: Upstreamed.
    - patches/race_condition_test_litl_write_multiple_threads: Upstreamed.
    - patches/stderr-test: Upstreamed.
    - control: Add cmake build-dependency.
    - control, rules: Drop doc package.
    - patches/build_no_litl: Fix building litl without litl installed.
    - patches/install_headers: Fix installing headers.
    - patches/version: Fix missing soname version.
    - control: Drop conflict with libfxt-dev.
    - tests/tests: Rewrite running tests.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 23:22:41 +0200

litl (0.1.9-13) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:11:25 +0100

=== debian/control ===
Source: litl
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/trahay/LiTL
Vcs-Git: https://salsa.debian.org/debian/litl.git
Vcs-Browser: https://salsa.debian.org/debian/litl

Package: litl-tools
Section: science
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Trace Library - tools
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains tools for manipulating trace files.

Package: liblitl-dev
Section: libdevel
Architecture: any
Depends: liblitl0 (= ${binary:Version}), ${misc:Depends}
Description: Lightweight Trace Library - development files
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains files for developments with litl.

Package: liblitl0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Trace Library - shared library
 LiTL is a lightweight tool for recording events during the execution of
 scientific high-performance applications.
 .
 This package contains the litl shared library.

=== debian/tests/control ===
Tests: tests
Depends: build-essential,
         pkg-config,
         liblitl-dev,
         dh-autoreconf

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// http://fusionforge.int-evry.fr/frs/?group_id=36 /frs/download.php/.*/litl-@ANY_VERSION@@ARCHIVE_EXT@
opts=dversionmangle=s/\+dfsg$// https://github.com/trahay/LiTL/tags .*/litl-@ANY_VERSION@@ARCHIVE_EXT@
